test.raster3d.lib(1)

NAME
test.raster3d.lib - Performs unit and integration tests for the raster3d library

KEYWORDS
raster3d, unit test

SYNOPSIS
test.raster3d.lib
test.raster3d.lib --help
test.raster3d.lib [-ul] [unit=string] [depths=integer] [rows=integer] [cols=integer] [tile_size=integer] [--help] [--verbose] [--quiet] [--ui]

  Flags:

-u
    Run all unit tests

-l
    Switch zip compression on

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

unit=string
    Choose the unit tests to run
    Options: coord, putget, large

depths=integer
    The number of depths to be used for the large file put/get value test
    Default: 20

rows=integer
    The number of rows to be used for the large file put/get value test
    Default: 5400

cols=integer
    The number of columns to be used for the large file put/get value test
    Default: 10800

tile_size=integer
    The tile size in kilo bytes to be used for the large file put/get value test. Set the tile size to 2048 and the number of row*cols*depths > 130000 to reproduce the tile rle error.
    Default: 32

DESCRIPTION
test.raster3d.lib is a module dedicated for testing the raster 3d library functionality and to perform benchmark runs. This module is used by the testing framework to perform library tests.

AUTHOR
Sören Gebbert

SOURCE CODE

Available at: test.raster3d.lib source code (history)

Accessed: Friday May 15 03:22:27 2026

Main index | Topics index | Keywords index | Graphical index | Full index

© 2003-2026 GRASS Development Team, GRASS 8.5.0 Reference Manual